wijmo library under angular 12 can not be loaded

Posted by: Meirav.Eliad on 3 February 2022, 4:07 am EST

  • Posted 3 February 2022, 4:07 am EST

    in my package.json I defined
    "wijmo": "^5.20213.834",

    when I run ng serve i get the follwing error

    Error: node_modules/wijmo/wijmo.angular2.input.d.ts:2626:22 - error NG6002: Appears in the NgModule.imports of ShellModule, but could not be resolved to an NgModule class.

    This likely means that the library (wijmo/wijmo.angular2.input) which declares WjInputModule has not been processed correctly by ngcc, or is not compatible with Angular Ivy. Che
    ck if a newer version of the library is available, and update if so. Also consider checking with the library's authors to see if the library is expected to be compatible with Iv
    y.
    [code]
    [/code]

    2626 export declare class WjInputModule {
    ~~~~~~~~~~~~~





    what should I do?
  • Replied 3 February 2022, 1:52 pm EST

    Hi,
    This is duplicate of https://www.grapecity.com/forums/wijmo/wijmo-library-under-angula

    Regards,
    Manish Gupta
Need extra support?

Upgrade your support plan and get personal unlimited phone support with our customer engagement team

Learn More

Forum Channels